Package com.macrofocus.high_d.distributions

# Class AbstractDistributionsModel<Color,Row,Column,Value,Bin>

java.lang.Object
com.macrofocus.high_d.distributions.AbstractDistributionsModel<Color,Row,Column,Value,Bin>

All Implemented Interfaces:
  `DistributionsModel<Color,Row,Column,Value,Bin>`

Direct Known Subclasses:
  `DefaultDistributionsModel`

public abstract class AbstractDistributionsModel<Color,Row,Column,Value,Bin> extends Object implements DistributionsModel<Color,Row,Column,Value,Bin>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractDistributionsModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDistributionsListener(DistributionsListener listener)`
  Add a listener for receiving interesting events about changes in the model.
  `void`
  `removeDistributionsListener(DistributionsListener listener)`
  Remove a listener from the list of listeners that should be notified about changes in the model.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.high_d.distributions.DistributionsModel

  `createDistributionDimension, getAxisCount, getAxisGroupModel, getColoring, getColorMapping, getFilter, getIndex, getLocation, getObject, getObjectCount, getProbing, getSelection, getVisual, removeDistributionDimension, setLocation`

- ## Constructor Details

  - ### AbstractDistributionsModel

    public AbstractDistributionsModel()

- ## Method Details

  - ### addDistributionsListener

    public void addDistributionsListener(DistributionsListener listener)
    Add a listener for receiving interesting events about changes in the model.
    Specified by:
      `addDistributionsListener` in interface `DistributionsModel<Color,Row,Column,Value,Bin>`
    Parameters:
      `listener` - the listener to add.

  - ### removeDistributionsListener

    public void removeDistributionsListener(DistributionsListener listener)
    Remove a listener from the list of listeners that should be notified about changes in the model.
    Specified by:
      `removeDistributionsListener` in interface `DistributionsModel<Color,Row,Column,Value,Bin>`
    Parameters:
      `listener` - the listener to remove.